const router = require('express-promise-router')()
const db = require('../db')

router.get('/:uuid/:size', async (req, res) => {
  const image = await db.item.getImage(req.params.uuid, req.params.size)

  res.set('Content-Type', image.mime_type)
  res.end(image.file)
})

module.exports = router