const router = require('express-promise-router')()
const pg = require('../db/pg')

router.use('/users/', require('./users'))
router.use('/items/', require('./items'))
router.use('/images/', require('./images'))

router.get('/', (req, res)=>{
  res.json({test: true})
})

router.use((req, res)=>{
  res.status(404)
  res.json({
    error: 'Not found'
  })
})

module.exports = router;
