import React from "react"
import PropTypes from "prop-types"

import Header from '~/components/header'
import Footer from '~/components/footer'
import "../styles/layout.css"

const Layout = ({ Component, pageProps }) => {
  // Retrieve user information
  // const user = useUserSession()

  return (
    <>
      <Header  />
      <main><Component {...pageProps} /></main>
      <Footer/>
    </>
  )
}

Layout.propTypes = {
  pageProps: PropTypes.object
}

export default Layout
