module.exports = [{
  mapId: 'imageMap',
  idProperty: 'uuid',
  properties: [
    'featured',
    'large_file',
    'thumb_file',
    'mime_type',
    'date_uploaded'
  ],
  associations: [
    {name: 'uploader', mapId: 'userMap', columnPrefix: 'user_'}
  ]
},{
  mapId: 'itemMap',
  idProperty: 'uuid',
  properties: [
    'name',
    'description',
    'urlslug',
    'price_cents',
    'published'
  ],
  collections: [
    {name: 'images', mapId: 'imageMap', columnPrefix: 'image_'}
  ]
},{
  mapId: 'bareImageMap',
  idProperty: 'uuid',
  properties: [
    'mime_type',
    'file'
  ]
}]